## com.ibm.lab.soln.dialogs
Class MyPrefPageFieldEditor

    java.lang.Object
      |
      +--org.eclipse.jface.dialogs.DialogPage
            |
            +--org.eclipse.jface.preference.PreferencePage
                  |
                  +--org.eclipse.jface.preference.FieldEditorPreferencePage
                        |
                        +--com.ibm.lab.soln.dialogs.MyPrefPageFieldEditor

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IWorkbenchPreferencePage

public class MyPrefPageFieldEditor
extends org.eclipse.jface.preference.FieldEditorPreferencePage
implements org.eclipse.ui.IWorkbenchPreferencePage

Example of how a preference page can be constructed using the approach supported by the `FieldEditorPreferencePage` superclass. User interface controls are defined using specific `FieldEditor` types. The `FieldEditorPreferencePage` superclass automates preference store interaction.

Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`FLAT, GRID, MARGIN_HEIGHT, MARGIN_WIDTH, VERTICAL_SPACING`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`` | `MyPrefPageFieldEditor()`
`protected` | `MyPrefPageFieldEditor(int style)` Constructor for MyPrefPageFieldEditor.
`protected` | `MyPrefPageFieldEditor(java.lang.String title, org.eclipse.jface.resource.ImageDescriptor image, int style)` Constructor for MyPrefPageFieldEditor.
`protected` | `MyPrefPageFieldEditor(java.lang.String title, int style)` Constructor for MyPrefPageFieldEditor.

Method Summary
`protected void` | `createFieldEditors()` Adds field editors used to implement the user interface.
`void` | `init(org.eclipse.ui.IWorkbench workbench)`

Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`addField, adjustGridLayout, applyFont, checkState, createContents, dispose, getFieldEditorParent, initialize, performDefaults, performOk, propertyChange, setVisible`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`computeSize, contributeButtons, createControl, createDescriptionLabel, doComputeSize, doGetPreferenceStore, getContainer, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, performApply, performCancel, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setControl, setDescription, setImageDescriptor, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### MyPrefPageFieldEditor

    public MyPrefPageFieldEditor()

### MyPrefPageFieldEditor

    protected MyPrefPageFieldEditor(int style)

  Constructor for MyPrefPageFieldEditor.
  Parameters:
    `style` -

### MyPrefPageFieldEditor

    protected MyPrefPageFieldEditor(java.lang.String title,
                                    org.eclipse.jface.resource.ImageDescriptor image,
                                    int style)

  Constructor for MyPrefPageFieldEditor.
  Parameters:
    `title` -
    `image` -
    `style` -

### MyPrefPageFieldEditor

    protected MyPrefPageFieldEditor(java.lang.String title,
                                    int style)

  Constructor for MyPrefPageFieldEditor.
  Parameters:
    `title` -
    `style` -

Method Detail

### createFieldEditors

    protected void createFieldEditors()

  Adds field editors used to implement the user interface. Each editor is added with string values for the preference key and lab used for the widget added to the user interface.
  Overrides:
    `createFieldEditors` in class `org.eclipse.jface.preference.FieldEditorPreferencePage`
  See Also:
    `FieldEditorPreferencePage.createFieldEditors()`

### init

    public void init(org.eclipse.ui.IWorkbench workbench)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`